Bug 241427 - cad/openvsp: fix build on arm*
Summary: cad/openvsp: fix build on arm*
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-23 07:50 UTC by Piotr Kubaj
Modified: 2019-10-27 19:22 UTC (History)
1 user (show)

See Also:
fernape: maintainer-feedback+


Attachments
patch (1.75 KB, patch)
2019-10-23 07:50 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (fernape)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-10-23 07:50:05 UTC
Created attachment 208522 [details]
patch

-mimplicit-it=always breaks build on arm*. Remove it to fix build.
Comment 1 Fernando Apesteguía freebsd_committer 2019-10-23 16:45:09 UTC
Hi Piotr,

Thanks for the patch. As with bug #241325, I can not test it on ARM, but will test the patch in other versions/archs and come back to you with feedback.

Cheers.
Comment 2 Fernando Apesteguía freebsd_committer 2019-10-24 21:14:32 UTC
LGTM.

Builds where it built before and runs fine in 12.0 amd64.

Feel free to commit this on my behalf once you get mentors approval.
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2019-10-25 03:10:09 UTC
Approved as mentor.
Comment 4 commit-hook freebsd_committer 2019-10-27 19:22:15 UTC
A commit references this bug:

Author: pkubaj
Date: Sun Oct 27 19:21:13 UTC 2019
New revision: 515816
URL: https://svnweb.freebsd.org/changeset/ports/515816

Log:
  cad/openvsp: fix build on arm*

  -mimplicit-it=always breaks build on arm*. Remove it to fix build.

  PR:		241427
  Reviewed by:	fernape (maintainer), linimon (mentor)

Changes:
  head/cad/openvsp/Makefile
  head/cad/openvsp/files/patch-src_external_angelscript_sdk_CMakeLists.txt